Subject: nCUBE, Corp.
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Wed, 27 Sep 2000 06:11:00 -0700 (PDT)

I wanted to advise you that Ken has joined another board - nCUBE, Corp.  
nCUBE is in the video on-demand business.  Blockbuster and Enron have entered 
into an agreement with nCUBE that it will provide video streaming media 
appliances, software applications, technology consulting and design for the 
on-demand service.

Rosie